php7 в Astra Linux 1.5

KSV

New member
Сообщения
2
#1
День добрый. Столкнулся с проблемой:
Требуется установить в имеющийся сервер с Astra Linux 1.5 Смоленск php версии 7 и выше. А в репозиториях есть только 5.
Подскажите в какую сторону копать для установки 7 версии рядом с пятой?
Если добавить репозитории от Орла, то php7 ставится, но отваливается fly и много чего критичного.
 

Fd1501h

Moderator
Сообщения
671
#2
День добрый. Столкнулся с проблемой:
Требуется установить в имеющийся сервер с Astra Linux 1.5 Смоленск php версии 7 и выше. А в репозиториях есть только 5.
Подскажите в какую сторону копать для установки 7 версии рядом с пятой?
Если добавить репозитории от Орла, то php7 ставится, но отваливается fly и много чего критичного.
При подключении репозитория Орла установите только пакеты php7, не обновляя всё остальное.
 

KSV

New member
Сообщения
2
#3
При подключении репозитория Орла установите только пакеты php7, не обновляя всё остальное.
Извините, не совсем Вас понял.
Если я делаю sudo apt-get install php с подключенными репозиториями Орла, то получаю следующее:
php.PNG

Если согласиться, то после перезагрузки система естественно не стартует.
Подскажите, что я делаю не так?
 

Montfer

New member
Сообщения
375
#4
Извините, не совсем Вас понял.
Если я делаю sudo apt-get install php с подключенными репозиториями Орла, то получаю следующее:
Посмотреть вложение 414
Если согласиться, то после перезагрузки система естественно не стартует.
Подскажите, что я делаю не так?
у меня такое было, когда неправильно имя устанавливаемого пакета написано
Единственное отличие - у меня писало, что данный пакет не найден. А у вас не увидел такого сообщения
попробуйте написать php7.0 или php7
 
Последнее редактирование: